Package com.opensymphony.sitemesh.webapp.decorator

# Class NoDecorator

java.lang.Object
com.opensymphony.sitemesh.webapp.decorator.BaseWebAppDecorator
com.opensymphony.sitemesh.webapp.decorator.NoDecorator

All Implemented Interfaces:
  `Decorator`

public class NoDecorator extends BaseWebAppDecorator
If no decorator is to be applied to a page, this will ensure the original content gets written out.

Since:
  SiteMesh 3.0
Author:
  Joe Walnes

## Constructor Summary

Constructors
Constructor
Description
`NoDecorator()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`render(Content content, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, javax.servlet.ServletContext servletContext, SiteMeshWebAppContext webAppContext)`
More convenient version of `BaseWebAppDecorator.render(com.opensymphony.sitemesh.Content, com.opensymphony.sitemesh.SiteMeshContext)` suited for Servlet API calls.

### Methods inherited from class com.opensymphony.sitemesh.webapp.decorator.BaseWebAppDecorator

`render`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NoDecorator

public NoDecorator()

## Method Details

### render

protected void render(Content content, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, javax.servlet.ServletContext servletContext, SiteMeshWebAppContext webAppContext) throws IOException, javax.servlet.ServletException
Description copied from class: `BaseWebAppDecorator`
More convenient version of `BaseWebAppDecorator.render(com.opensymphony.sitemesh.Content, com.opensymphony.sitemesh.SiteMeshContext)` suited for Servlet API calls.

Specified by:
  `render` in class `BaseWebAppDecorator`
Throws:
  `IOException`
  `javax.servlet.ServletException`